Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.logical
Class LogicalOperator

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.logical.LogicalOperator

Direct Known Subclasses:
  LogicalAnd, LogicalMultiAnd, LogicalMultiOr, LogicalNot, LogicalOr

public abstract class LogicalOperator
extends Operator

Implementation of the LogicalOperator operator. Base class for all LogicalOperators.

See Also:
  Serialized Form

Field Summary
`protected static java.lang.Class[]` | `BINARY_PARAMETER_SIGNATURE`
`protected static java.lang.Class[]` | `UNARY_PARAMETER_SIGNATURE`

Constructor Summary
`protected` | `LogicalOperator()` A default constructor that can used by multi-operand operators.
`protected` | `LogicalOperator(java.lang.Object operand)` Allocates a `LogicalOperator` by associating the given single operand.
`` | `LogicalOperator(java.lang.Object[] operands)` Allocates a `LogicalOperator` by associating the given array of of operands.
`protected` | `LogicalOperator(java.lang.Object lhs, java.lang.Object rhs)` Allocates a `LogicalOperator` by associating the given two operands.

Method Summary
`protected static java.lang.Class[]` | `updateParameterSignature(int subExpressionCount, java.lang.Class[] oldSignature)` Returns a new parameter signature array for the given sub-expression count and old parameter signature array.

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`accept, addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParameterSignature, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BINARY_PARAMETER_SIGNATURE

    protected static final java.lang.Class[] BINARY_PARAMETER_SIGNATURE

### UNARY_PARAMETER_SIGNATURE

    protected static final java.lang.Class[] UNARY_PARAMETER_SIGNATURE

Constructor Detail

### LogicalOperator

    protected LogicalOperator()

  A default constructor that can used by multi-operand operators.

### LogicalOperator

    protected LogicalOperator(java.lang.Object operand)

  Allocates a `LogicalOperator` by associating the given single operand.

  Parameters:
    `operand` - An `Object` acting as a operand for this.

### LogicalOperator

    protected LogicalOperator(java.lang.Object lhs,
                              java.lang.Object rhs)

  Allocates a `LogicalOperator` by associating the given two operands.

  Parameters:
    `lhs` - The left hand side operand for this.
    `rhs` - The right hand side operand for this.

### LogicalOperator

    public LogicalOperator(java.lang.Object[] operands)

  Allocates a `LogicalOperator` by associating the given array of of operands.

  Parameters:
    `operands` - An array of `Object`s act as operands for this.

Method Detail

### updateParameterSignature

    protected static java.lang.Class[] updateParameterSignature(int subExpressionCount,
                                                                java.lang.Class[] oldSignature)

  Returns a new parameter signature array for the given sub-expression count and old parameter signature array.

  Parameters:
    `subExpressionCount` - The new number of sub-expressions.
    `oldSignature` - The `Class` array representing the the old parameter signature for the given operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved